import type { ExtractPropTypes, InjectionKey, PropType } from 'vue';
import CacheEntity from './Cache';
import type { Linter } from './linters';
import type { Transformer } from './transformers/interface';
export declare const ATTR_TOKEN = "data-token-hash";
export declare const ATTR_MARK = "data-css-hash";
export declare const ATTR_DEV_CACHE_PATH = "data-dev-cache-path";
export declare const CSS_IN_JS_INSTANCE = "__cssinjs_instance__";
export declare const CSS_IN_JS_INSTANCE_ID: string;
export declare function createCache(): CacheEntity;
export declare type HashPriority = 'low' | 'high';
export declare const styleContextProps: {
    autoClear: {
        type: PropType<boolean>;
        default: undefined;
    };
    mock: {
        type: PropType<"server" | "client">;
        default: undefined;
    };
    cache: {
        type: PropType<CacheEntity>;
        default: () => CacheEntity;
    };
    defaultCache: {
        type: PropType<boolean>;
        default: boolean;
    };
    hashPriority: {
        type: PropType<HashPriority>;
        default: string;
    };
    container: {
        type: PropType<Element | ShadowRoot>;
        default: undefined;
    };
    ssrInline: {
        type: PropType<boolean>;
        default: undefined;
    };
    transformers: {
        type: PropType<Transformer[]>;
        default: undefined;
    };
    linters: {
        type: PropType<Linter[]>;
        default: undefined;
    };
};
export declare type StyleContextProps = ExtractPropTypes<typeof styleContextProps>;
export declare const STYLE_CONTEXT: InjectionKey<StyleContextProps>;
export declare const StyleProvider: import("vue").DefineComponent<{
    autoClear: {
        type: PropType<boolean>;
        default: undefined;
    };
    mock: {
        type: PropType<"server" | "client">;
        default: undefined;
    };
    cache: {
        type: PropType<CacheEntity>;
        default: () => CacheEntity;
    };
    defaultCache: {
        type: PropType<boolean>;
        default: boolean;
    };
    hashPriority: {
        type: PropType<HashPriority>;
        default: string;
    };
    container: {
        type: PropType<Element | ShadowRoot>;
        default: undefined;
    };
    ssrInline: {
        type: PropType<boolean>;
        default: undefined;
    };
    transformers: {
        type: PropType<Transformer[]>;
        default: undefined;
    };
    linters: {
        type: PropType<Linter[]>;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    autoClear: {
        type: PropType<boolean>;
        default: undefined;
    };
    mock: {
        type: PropType<"server" | "client">;
        default: undefined;
    };
    cache: {
        type: PropType<CacheEntity>;
        default: () => CacheEntity;
    };
    defaultCache: {
        type: PropType<boolean>;
        default: boolean;
    };
    hashPriority: {
        type: PropType<HashPriority>;
        default: string;
    };
    container: {
        type: PropType<Element | ShadowRoot>;
        default: undefined;
    };
    ssrInline: {
        type: PropType<boolean>;
        default: undefined;
    };
    transformers: {
        type: PropType<Transformer[]>;
        default: undefined;
    };
    linters: {
        type: PropType<Linter[]>;
        default: undefined;
    };
}>>, {
    autoClear: boolean;
    mock: "server" | "client";
    cache: CacheEntity;
    defaultCache: boolean;
    hashPriority: HashPriority;
    container: Element | ShadowRoot;
    ssrInline: boolean;
    transformers: Transformer[];
    linters: Linter[];
}>;
export declare const useStyleContext: () => StyleContextProps;
